View Issue Details

IDProjectCategoryView StatusLast Update
0017638MediaMonkey 5Otherpublic2021-05-24 20:25
Reporterrusty Assigned To 
PriorityhighSeverityfeatureReproducibilityalways
Status assignedResolutionfixed 
Product Version5.0 
Target Version5.1 
Summary0017638: Allow non user-initiated traffic to be disabled
DescriptionUsers at different times have raised the issue that mm communicates over the network even if the user doesn't use any network-related functionality (UPnP / Wi-Fi Sync / Casting). This is an issue for:
- users that are very privacy-conscious
- users running MM in a locked-down environment (where network traffic isn't allowed)

Wouldn't it make sense that if:
- Player > streaming > [ ] Accept input/control of MediaMonkey player via UPnP/DLNA is disabled
- Media Sharing > [ ] MediaMonkey Library is disabled
- General > [ ] Check for updates (when connected) is disabled
...and if we added:
Player > streaming > Play to > [ ] Allow playback to other devices (which would disable any option other than Internal player)

...that MM would never automatically generate traffic nor connect to other devices in the background?
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=33&t=98563
TagsNo tags attached.
Fixed in build2321

Relationships

related to 0017644 closedLudek Crashlog F1FF000 on startup 

Activities

Ludek

2021-03-08 15:18

developer   ~0062282

Last edited: 2021-03-08 15:37

View 10 revisions

I think that currently there is still bunch of further related auto-requests, e.g.:
1) Auto-lookup of image in the Artist's browser view (and Artist description from Wikipedia), the same goes fro Albums, Genres in Browser view
2) Auto-lookup of lyrics in the Playing > Lyrics view
3) Servers are auto-looked up on MM5 start to find MMS instances on the network
4) Servers are auto-looked up when accessing 'Devices & Services' and 'Folders' nodes to list available servers
=> this could be resolved by removing media servers from the Folders node and having an option to remove available servers from 'Devices & Services' node too

Note though that all of these adds unnecessary complexity to the configuration that users won't be aware of anyway.

Therefore I think that having a single checkbox for whatever network access is a better choice. e.g. something like:
[x] Enable offline mode (no network traffic)
-- in this mode MM won't access any network and internet resources, futher explanation bla bla....

And when this mode is enabled then it makes sense to:
- make the cast button on the player disabled: For easier toubleshooting whenever the user enabled the offline mode
- hide the 'Media Servers' and 'Storage & Serives' sections in the 'Devices & Services' view + indicate that the offline mode is enabled
- no 'Lookup lyrics' and 'Lookup artwork' links around the UI
- trying to initiate Auto-tag would show a dialog that offline mode is enabled and needs to be disabled at first, or just disable Auto-tag
 action?
- remove [Online] tab from Browser views
- supress Podcast downloading / disable Podcast update actions, etc.

drakinite

2021-03-08 15:31

developer   ~0062284

I think an Offline Mode checkbox could be an effective solution. If we do, we'll probably need an additional "offline" icon to display in places such as Album Art Lookup. So in place of the loading icon, there would be an icon indicating that MM is offline, with text like "Offline mode is enabled."

rusty

2021-03-08 15:46

administrator   ~0062285

Last edited: 2021-03-08 16:03

View 3 revisions

1/2) Re. auto-lookup of Artist image/lyrics: shouldn't that be disabled if the user disables background metadata lookup for:
[ ] Artist images
[ ] Artwork
[ ] Lyrics

3) Shouldn't MMS servers only be looked up when the user initiates an MMS lookup via 'Add location'?

4) The main issue isn't that MM connects to the network--it's that MM connects to the network _without the user initiating any such activitity_. In other words, if a user attempts to browse for www content/network location/media servers or play online radio, it is expected that MM will connect to the network. The issue that most users are concerned with is when MM connects without the user enabling the services or initiating the connection. There is a secondary usecase for some to completely disable/prevent network connectivity, but I think that's a lower priority usecase.

So from my perspective, the primary requirement is that:
- users should be able to disable any services that connect without user-initiated activity (which afaik is limited to Player > streaming > Play to > [ ] Allow playback to other devices )
- any existing config options related to this functionality should work in a manner that matches their wording (i.e. items 1/2 above -- if the UI implies that background lookup is disabled, it should be consistently disabled).
The benefits of this approach are that changes would be minimal (afaik, at least), and it would limit UI conflicts (e.g. features shown as enabled in one location but not working due to the 'no-network' mode).

Ludek

2021-03-08 16:59

developer   ~0062287

Last edited: 2021-03-08 17:00

View 3 revisions

1/2) Yes, I think that auto-lookups should be supressed when configured so, but AFAIK there is no option to supress the artist/album info description fetched from Wikipedia?

3) That's a question, currently it is there to auto-detect MMS on network and add this dialog/migraiton wizard: https://www.dropbox.com/s/5r511j8qn6oq4db/Screenshot%202021-03-08%2017.50.10.png?dl=0
But meaybe we could either:
a) run the auto-detection only when the 'Devices & Services' node is accessed by the user
b) manually via the (+) button next to the 'Storages and Services' ? (requires new strings)

I think 3a) might work fine as by accessing 'Devices & Services' the other media servers are looked up anyway (to list them).

--------------------------------------------------------------------------
As for the manually initiated activity, what is manually initiated activity:
A) is accessing 'Devices & Services' or 'Folders' node manually initiated activity for MM5 to auto-discover media servers on the network ?
B) What is point of adding Player > streaming > Play to > [ ] Allow playback to other devices ) ??? I don't see it, because playback to other devices needs to be manually initiated by user anyway, either via the 'Play to' menu or by clicking the Cast icon on the player and select a device, so the checkbox is just redundant IMO

rusty

2021-03-09 18:16

administrator   ~0062315

Last edited: 2021-03-09 18:19

View 2 revisions

1/2) User can disable the Info-panel to prevent lookups

3) I suppose that this is similar to detection of UPnP servers which I'd neglected to mention/discuss. For both the servers are auto-detected and subsequently always display (Devices & Services / Folders).
a) I like the idea of running auto-detection when Devices & Services (or Folders) is accessed, as it would be expected that checking for devices and services would check for them. But this won't satisfy users who want to access Devices or Folders without accessing the network. TBD.

Re. the question of 'what is manually initiated activity?', the idea is that it's ok for MM to access the network whenever the the user launches an action that would be expected to access the network.
A) 'Devices & Services': as described above, accessing 'Services' would be expected to access the network, though there may be users who want to access devices without accessing the network.
B) Player > Streaming > Play to > [ ] Allow playback to other devices . You're right--if discovery of other devices only occurs when the user clicks the 'Cast' button, this isn't required (I thought that discovery was ongoing).

Ludek

2021-03-09 19:26

developer   ~0062319

3a) is fixed in 2321, i.e. servers aren't looked up until 'Devices & Services' node is accessed

rusty

2021-03-10 02:18

administrator   ~0062333

Setting to 'resolved' to trigger testing. The issue should subsequently be re-opened since only a minor portion has been fixed.

peke

2021-03-10 12:49

developer   ~0062345

Reopened for other fixes

3a) Verified 2321 no traffic is generated till 'Devices & Services' is clicked.